# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-10-18 18:46
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('data', '0001_initial'),
        ('device', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='transaction',
            name='iclock',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='device.Iclock'),
        ),
        migrations.AddField(
            model_name='fingertemplate',
            name='employee',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.Employee'),
        ),
        migrations.AddField(
            model_name='facetemplate',
            name='employee',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.Employee'),
        ),
        migrations.AddField(
            model_name='employee',
            name='area',
            field=models.ManyToManyField(to='data.Area'),
        ),
        migrations.AddField(
            model_name='employee',
            name='department',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='data.Department'),
        ),
        migrations.AddField(
            model_name='department',
            name='company',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='data.Company'),
        ),
        migrations.AddField(
            model_name='biotemplate',
            name='employee',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.Employee'),
        ),
        migrations.AddField(
            model_name='area',
            name='company',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='data.Company'),
        ),
        migrations.AlterUniqueTogether(
            name='transaction',
            unique_together=set([('employee', 'time')]),
        ),
        migrations.AlterUniqueTogether(
            name='fingertemplate',
            unique_together=set([('employee', 'template_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='facetemplate',
            unique_together=set([('employee', 'template_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='biotemplate',
            unique_together=set([('employee', 'bio_index', 'bio_type', 'majorver')]),
        ),
    ]
